// File generated by FlutterFire CLI.
// ignore_for_file: lines_longer_than_80_chars, avoid_classes_with_only_static_members
import 'package:firebase_core/firebase_core.dart' show FirebaseOptions;
import 'package:flutter/foundation.dart'
    show defaultTargetPlatform, kIsWeb, TargetPlatform;

/// Default [FirebaseOptions] for use with your Firebase apps.
///
/// Example:
/// ```dart
/// import 'firebase_options.dart';
/// // ...
/// await Firebase.initializeApp(
///   options: DefaultFirebaseOptions.currentPlatform,
/// );
/// ```
class DefaultFirebaseOptions {
  static FirebaseOptions get currentPlatform {
    if (kIsWeb) {
      return web;
    }
    switch (defaultTargetPlatform) {
      case TargetPlatform.android:
        return android;
      case TargetPlatform.iOS:
        throw UnsupportedError(
          'DefaultFirebaseOptions have not been configured for ios - '
          'you can reconfigure this by running the FlutterFire CLI again.',
        );
      case TargetPlatform.macOS:
        return macos;
      case TargetPlatform.windows:
        throw UnsupportedError(
          'DefaultFirebaseOptions have not been configured for windows - '
          'you can reconfigure this by running the FlutterFire CLI again.',
        );
      case TargetPlatform.linux:
        throw UnsupportedError(
          'DefaultFirebaseOptions have not been configured for linux - '
          'you can reconfigure this by running the FlutterFire CLI again.',
        );
      default:
        throw UnsupportedError(
          'DefaultFirebaseOptions are not supported for this platform.',
        );
    }
  }

  static const FirebaseOptions web = FirebaseOptions(
    apiKey: 'AIzaSyD0zU8hOvexT1sdboZfdSDKCX0AmtA0IJM',
    appId: '1:665796045554:web:c165ee0d94a91ff25d7e6b',
    messagingSenderId: '665796045554',
    projectId: 'flutter-simple-chat-app-338d6',
    authDomain: 'flutter-simple-chat-app-338d6.firebaseapp.com',
    storageBucket: 'flutter-simple-chat-app-338d6.appspot.com',
  );

  static const FirebaseOptions android = FirebaseOptions(
    apiKey: 'AIzaSyBzEMqP7VojxKQOVMu6Zp6zZvaulNJ-Hjo',
    appId: '1:665796045554:android:1c56ac630d90da735d7e6b',
    messagingSenderId: '665796045554',
    projectId: 'flutter-simple-chat-app-338d6',
    storageBucket: 'flutter-simple-chat-app-338d6.appspot.com',
  );

  static const FirebaseOptions macos = FirebaseOptions(
    apiKey: 'AIzaSyCgebqUo3brXkdoSGz9SETOtybPNZcIumc',
    appId: '1:665796045554:ios:3f19f66f0f4be5445d7e6b',
    messagingSenderId: '665796045554',
    projectId: 'flutter-simple-chat-app-338d6',
    storageBucket: 'flutter-simple-chat-app-338d6.appspot.com',
    iosBundleId: 'com.example.flutterChatApp',
  );
}
